@echo off
ECHO *//* Grune Uninstaller *//*
ECHO This is the Grune Uninstaller program.
ECHO This will completely uninstall Grune
ECHO from your operating system. However,
ECHO some files will be left behind. (For
ECHO example, saved games)
ECHO Are you sure you want to do this? [y/n]
choice /n /c:ynq
if errorlevel 3 goto abort
if errorlevel 2 goto abort
if errorlevel 1 goto delete

:delete
ECHO This will permenantly delete all files
ECHO regarding Grune, are you really sure you
ECHO want to do this? [y/n]
choice /n /c:ynq
if errorlevel 3 goto abort
if errorlevel 2 goto abort
if errorlevel 1 goto delete2

:abort
ECHO Uninstall Program Aborted!
goto end

:delete2
ECHO Checking for required files.....
if not exist grune.grp ECHO Cannot find grune.grp, moving on to next file....
if not exist grgame.con ECHO Cannot find grgame.con, moving on to next file....
if not exist grdefs.con ECHO Cannot find grdefs.con, moving on to next file....
if not exist gruser.con ECHO Cannot find gruser.con, moving on to next file....
if not exist demo1.amo ECHO Cannot find demo1.amo, moving on to next file....
if not exist grune.txt ECHO Cannot find grune.txt, moving on to next file....
if not exist credits.txt ECHO Cannot find credits.txt, moving on to next file....
if not exist grstart.bat ECHO Cannot find grstart.bat, moving on to next file....
if not exist grinstall.bat ECHO Cannot find grinstall.bat, moving on to next file....
if not exist new.grp ECHO Cannot find new.grp, moving on to next file....
if not exist grune.zip ECHO Cannot find grune.zip, moving on to final file....
if not exist grpatch.zip ECHO Cannot find grpatch.zip, moving on to deletion process....
ECHO All files accounted for! Press (Y) to begin deletion process, press
ECHO (Q) key to exit.
choice /n /c:yq
if errorlevel 2 goto abort
if errorlevel 1 goto delete3

:delete3
DEL grune.grp
DEL grgame.con
DEL grdefs.con
DEL gruser.con
DEL demo1.amo
DEL grune.txt
DEL credits.txt
DEL grstart.bat
DEL grinstall.bat
DEL new.grp
DEL grune.zip
DEL grpatch.zip
ECHO This batch file has ended, please ignore the next line.....
DEL grundo.bat

:end

